package com.example.bmi_maturita;

import javafx.fxml.FXML;
import javafx.scene.control.Alert;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.image.ImageView;
import javafx.scene.text.Text;

public class HelloController implements Init{
    @FXML
    private Label vysledek;

    @FXML
    private TextField hmotnost;

    @FXML
    private TextField vyska;

    @FXML
    private ImageView obrazek;

    double hvyska, vaha, bmivysledek;
    double sirkaobrazku = 194;

    public void inicialize(){
        obrazek.setPreserveRatio(false);
        sirkaobrazku = obrazek.getFitWidth();

    }

    public void vypocitat() {

        try {
            hvyska= Double.parseDouble(vyska.getText());
        }catch (Exception e){
            hvyska = DEFAULTVYSKA;
            Alert alert = new Alert(Alert.AlertType.WARNING);
            alert.setTitle("Spatna hodnota");
            alert.setContentText("kokookotoktok xdddd");
            alert.showAndWait();
        }
        try {
            vaha= Double.parseDouble(hmotnost.getText());
        }catch (Exception e){
            vaha = DEFAULTHMOTNOST;
            Alert alert = new Alert(Alert.AlertType.WARNING);
            alert.setTitle("Spatna hodnota");
            alert.setContentText("kokookotoktok xdddd");
            alert.showAndWait();
        }

        bmivysledek = vaha/(Math.pow(hvyska/100, 2));

        if(bmivysledek<=16.5){
            vysledek.setText("fetka");
            obrazek.setFitWidth(sirkaobrazku-150);
        }else if(bmivysledek>16.5 && bmivysledek < 18.5){
            vysledek.setText("lehká fetka");
            obrazek.setFitWidth(sirkaobrazku-100);
        }else if(bmivysledek>18.5 && bmivysledek < 25){
            vysledek.setText("lehká fetka");
            obrazek.setFitWidth(sirkaobrazku-50);
        }else if(bmivysledek>25 && bmivysledek < 30){
            vysledek.setText("normal kripl");
            obrazek.setFitWidth(sirkaobrazku);
        }else if(bmivysledek>30 && bmivysledek < 35){
            vysledek.setText("obezitka");
            obrazek.setFitWidth(sirkaobrazku+50);
        }else if(bmivysledek>35 && bmivysledek < 40){
            vysledek.setText("verlyba");
            obrazek.setFitWidth(sirkaobrazku+100);
        }else if(bmivysledek>40){
            vysledek.setText("vorvan");
            obrazek.setFitWidth(sirkaobrazku+150);
        }


    }
}